Page MenuHomePhabricator

Don't restrict DISPLAYTITLE on Wikimedia Canada wiki
Closed, ResolvedPublic

Description

Hello,

I assume that $wgAllowDisplayTitle is not installed, or $wgRestrictDisplayTitle = false on Wikimedia Canada wiki (https://ca.wikimedia.org/) because its not working. Would it be possible to enable it please. Thank you. Best regards.

https://www.mediawiki.org/wiki/Manual:$wgRestrictDisplayTitle

Details

Related Gerrit Patches:
operations/mediawiki-config : masterSet $wgRestrictDisplayTitle to false at cawikimedia

Event Timeline

Benoit_Rochon raised the priority of this task from to Needs Triage.
Benoit_Rochon updated the task description. (Show Details)
Benoit_Rochon added a subscriber: Benoit_Rochon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2015, 1:28 PM
Aklapper triaged this task as Low priority.Mar 30 2015, 8:37 AM
krenair@terbium:~$ mwscript eval.php cawikimedia
> var_dump( $wgAllowDisplayTitle );
bool(true)

> var_dump( $wgRestrictDisplayTitle );
bool(true)

Are you proposing that we set wgRestrictDisplayTitle = false;?

I think so. "wgRestrictDisplayTitle = false" is what I would like to make {{DISPLAYTITLE:Foo}} to work, right?

Yes, to completely change the displayed title of the page such that it would get a different canonical title, you need to disable wgRestrictDisplayTitle. I'm not sure who needs to discuss this change to make it happen - can a WMCA representative approve it?

I sure understand you need approval. I am on the board of WMCA and I'm in charge of our Wiki for the past 4 years : https://ca.wikimedia.org/wiki/Wikimedia_Canada:About
Since WMF is hosting our Wiki, I'm not sure where to address my requests like this!

I think that's fine.
This is the correct place for requesting config changes to WMF-hosted wikis.

Change 201460 had a related patch set uploaded (by Glaisher):
Set $wgRestrictDisplayTitle to false at cawikimedia

https://gerrit.wikimedia.org/r/201460

Glaisher renamed this task from Allow Display Title on WMCA wiki to Don't restrict DISPLAYTITLE on Wikimedia Canada wiki.Apr 2 2015, 1:20 PM
Glaisher updated the task description. (Show Details)
Glaisher added a subscriber: Glaisher.

Change 201460 merged by jenkins-bot:
Set $wgRestrictDisplayTitle to false at cawikimedia

https://gerrit.wikimedia.org/r/201460

Glaisher closed this task as Resolved.Apr 2 2015, 3:50 PM
Glaisher removed a project: Patch-For-Review.
Mjbmr moved this task from Backlog to Done on the Wikimedia-Site-requests board.May 4 2015, 2:19 PM